Bug 225430 - laptop LCD screen goes blank a few minutes after boot/login, unable to come back
laptop LCD screen goes blank a few minutes after boot/login, unable to come back
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Depends On:
  Show dependency treegraph
Reported: 2007-01-30 11:16 EST by Karsten Wade
Modified: 2015-03-04 20:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-31 12:44:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karsten Wade 2007-01-30 11:16:10 EST
Running a fully updated FC6, I started having screen blanking on various power
management triggers.  For example, closing the LCD.  The effect is exactly like
that of issuing the command 'radeontool light off'.  For that reason and because
of other symptoms, I'm filing this against pm-utils.  I'm fairly certain this is
not a hardware problem (see the below).

Kernel in the rescue CD is 2.6.18-1.2798.fc6, and I'm currently running
2.6.19-1.2895.fc6, with the problem occurring with both kernelss

This is a Thinkpad T42, ATI Radeon M7 Mobility 7500 that hasn't shown any
hardware problems.  I replaced a failed hard drive last week, so had a chance to
install FC6 twice (once onto a spare disk, then onto the replacement).  

The problem increased in severity.  Initially there were three to five minutes
after gdm login before the screen would go blank.  This shortened to a minute or
less.  Initially the virtual consoles were not prone to the problem.   Then they
got the problem, with increasing severity.  In some cases, the gdm login can
stay up without blanking, which then occurs after login.  Last night I had gdm
login going for >5 minutes, so I logged in and was working on the system for
twenty-five minutes before it blanked in the middle of typing.  I then booted
the FC6 rescue CD, and had that shell up for a while; in fact, it sat for a few
hours like that.  I then started to do some hunting in logs, and just as as I
was typing, the screen went blank.

When I could before the screen went blank, I adjusted power management
configurations via the GUI, such as turning off screen blanking for AC and DC
modes, etc.

During these times, I'm sometimes able to ssh in to the system, if there has
been time for NetworkManager to get a connection.  The system then runs
normally, except for the blank screen.  I've seen some runaway processes on one
occasion (X and compiz), but nothing consistent or related to what I would have
in e.g. rescue mode.

So far I haven't seen anything in the logs (/var/log/messages) when the screen
goes blank.  The ACPI messages during boot report success.  There is one unusual
line that I saw:

ACPI: Video Device [VID] (multi-head: yes  rom: no  post: no)

This makes me wonder if it thinks there is a second head and is switching to it?
 I haven't seen any evidence of that otherwise.  The Xorg configuration are not
head to dual-head, such as in /etc/X11/xorg.conf.  I added 'options radeonfb
force_sleep=1' to /etc/modprobe.conf, and tried loading the radeon module
(modprobe radeonfb) before logging in via gdm, to no avail.

I also did a thorough physical inspection and confirmed that e.g. the LCD cable
internally is in good shape and attached to its plug.  It is unlikely to be an
unplugged wire because the screen always comes right back on when I hard reset
with the power switch.

Version-Release number of selected component (if applicable):

pm-utils is latest (cannot run RPM to check); I updated on Friday night.

How reproducible:


Steps to Reproduce:
1. Boot
2. Wait or try stuff
3. Blank screen
Comment 1 Karsten Wade 2007-01-31 12:44:13 EST
Phil - thanks for the good suggestion.

I installed FC5 without updates, and at first it seemed like it was working fine
-- it sat for a few hours, logged in fine.  But then I unplugged it and carried
it to another room, and the video went blank.

So, Lenovo is going to come and replace the system board, which includes the
video chip.  In retrospect, I realize it is highly unlikely that a bug at this
level would wait 24 hours from being installed to showing symptoms.

A side note is that I tend to be too highly aware of the potential for the OS to
be at fault, so I wait too long to call for hardware replacement.  Partially
this is from having to fake my way through phone calls in the past where the
only choice the support people had was to walk me through a Windows-based
testing script.  Similarly, I tend to try out too much troubleshooting before
bothering developers with bug reports.  I wonder if these are symptoms of FLOSS
users, too much independence?

Anyway, closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.